

if [ "$1" == "-b" ]; then
    docker build -f custom_bridge.Dockerfile -t custom_bridge_example:jammy .

else

    docker run \
        -it \
        --rm \
        --user "0" \
        -v /tmp/.X11-unix:/tmp/.X11-unix:rw \
        --env DISPLAY=$DISPLAY \
        --env NVIDIA_DRIVER_CAPABILITIES=compute,utility,graphics \
        --env NVIDIA_VISIBLE_DEVICES=all \
        --name ros1_bridge_example3 \
        ros1_bridge_example_cb:jammy \
        "/bin/bash"

fi
